//

//	2D_tex.h

// ２Ｄテクスチャ

//

//	written by H.Yoshiike 2000.Oct

//

//	$Id: 2D_tex.h,v 1.51 2002/10/02 23:32:05 usr01475 Exp $



// 共通ものはこちらで定義



#if 0 /* サブスタンスでは不要 */

#if defined(MGS2_LANG_ENGLISH) && defined(STAGE_TANKER)

#define		ctrl_tex    menu/ctrl_exp_eng/ctrl1_alp_ovl.bmp \

                        menu/ctrl_exp_eng/ctrl2_alp_ovl.bmp \

                        menu/ctrl_exp_eng/ctrl3_alp_ovl.bmp \

                        menu/ctrl_exp_eng/ctrl4_alp_ovl.bmp

#elif defined(STAGE_TANKER)

#define		ctrl_tex    menu/ctrl_exp/ctrl1_alp_ovl.bmp \

                        menu/ctrl_exp/ctrl2_alp_ovl.bmp \

                        menu/ctrl_exp/ctrl3_alp_ovl.bmp \

                        menu/ctrl_exp/ctrl4_alp_ovl.bmp

#else

#define		ctrl_tex

#endif

#else

#define		ctrl_tex

#endif



/*2001.05.24 sigeno タイマー用テクスチャをcommonから分離*/

#define			radar_tex \

					debug/shigeno/radar/alt_alp_ovl.bmp \

					debug/shigeno/radar/alt_b_alp_ovl.bmp \

					debug/shigeno/radar/cau_alp_ovl.bmp \

					debug/shigeno/radar/eva_alp_ovl.bmp \

					debug/shigeno/radar/jam_alp_ovl.bmp \

					debug/shigeno/radar/nom_alp_ovl.bmp \

					debug/shigeno/radar/clr_alp_ovl.bmp \

					debug/shigeno/radar/nom_b_alp_ovl.bmp \

					debug/shigeno/radar/clr_b_alp_ovl.bmp \

					debug/shigeno/radar/rdr_noise1.bmp \

					debug/shigeno/radar/rdr_noise2.bmp \

					debug/shigeno/radar/rdr_noise3.bmp \

					debug/shigeno/radar/rdr_yaji_alp_ovl.bmp \

					effect/blood/chi01_msk.bmp // by koba4  息継ぎポイント



#define			common_tex \

					radar_tex \

					ctrl_tex \

					debug/sonoyama/scope/zoom_alp_ovl.bmp \

					debug/sonoyama/scope/mode_alp_ovl.bmp \

					debug/sonoyama/scope/angle_alp_ovl.bmp \

					codec/parts/call_alp_ovl.bmp \

/*タイマー用*/

/*2001.06.29 タイマー変更につき不要に*/

#define		timer_tex \

			debug/shigeno/radar/timefont_alp_ovl.bmp \

			debug/shigeno/radar/timefont_mini_alp_ovl.bmp \

			debug/shigeno/radar/comma_alp_ovl.bmp \

			2D/timer/timebg_alp_ovl.bmp \

			2D/timer/fatman/bomleft_alp_ovl.bmp



// ステージ間ロードに出るステージ名はひとつに統合されました。

#ifndef MGS2_KOREA

#define WORLD_NAME(str)	menu/world_name/##str

#else

// 韓国版

#define WORLD_NAME(str)	menu/world_name_kor/##str

#endif



// タンカー編

// 甲板

#ifdef WN_W00A

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/senbi_kanpan_right_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/senbi_kanpan_left_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/senbi_kanpan_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/1f_live_left_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/2f_live_right_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/1f_live_right_alp_ovl.bmp ) /*アナザー用追加テクスチャ*/   \

	WORLD_NAME(tanker_name/2f_live_left_alp_ovl.bmp )



#elif defined( WN_W01A )

// 居住区１階南

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/senbi_kanpan_left_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/senbi_kanpan_right_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/1f_live_right_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/1f_live_left_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/1f_live_alp_ovl.bmp )\

	WORLD_NAME(tanker_name/refre_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/refre_left_alp_ovl.bmp)



#elif defined( WN_W01F )

// 居住区１階北リフレッシュルーム

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/1f_live_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/1f_live_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/refre_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/refre_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/refre_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/2f_live_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_ent_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_ent_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/2f_live_left_alp_ovl.bmp) 



#elif defined( WN_W01B )

// 居住区２階

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/refre_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/senbi_kanpan_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/2f_live_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/2f_live_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/2f_live_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/3f_live_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/senbi_kanpan_left_alp_ovl.bmp )



#elif defined( WN_W01C )

// 居住区３階

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/2f_live_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/3f_live_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/3f_live_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/4f_live_alp_ovl.bmp)



#elif defined( WN_W01D )

// 居住区４階

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/3f_live_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/4f_live_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/5f_souda_alp_ovl.bmp)



#elif defined( WN_W01E )

// 居住区５階

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/4f_live_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/5f_souda_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_right_alp_ovl.bmp)



#elif defined( WN_W00B )

// 甲板オルガ戦

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/5f_souda_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_left_alp_ovl.bmp)



#elif defined( WN_W00C )

// 航海甲板右舷ウイング

// 航海甲板左舷ウイング

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/5f_souda_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_right_alp_ovl.bmp)



#elif defined( WN_W02A )

// 機関室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/kikan_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_02_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_ent_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_ent_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_right_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kikan_left_alp_ovl.bmp)



#elif defined( WN_W03A )

// 第二甲板左舷

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/kikan_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_02_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_02_right_alp_ovl.bmp)



#elif defined( WN_W03B )

// 第二甲板右舷

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/kanpan_02_left_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/kanpan_02_right_alp_ovl.bmp)



#elif defined( WN_W04A )

// 第一船倉

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/sensou_01_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/sensou_02_alp_ovl.bmp)



#elif defined( WN_W04B )

// 第二船倉

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/sensou_01_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/sensou_02_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/sensou_03_alp_ovl.bmp)



#elif defined( WN_W04C )

// 第三船倉

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(tanker_name/sensou_02_alp_ovl.bmp) \

	WORLD_NAME(tanker_name/sensou_03_alp_ovl.bmp)



#elif defined( WN_W11A ) || defined( WN_W11B ) || defined( WN_W11C )

// 以下プラント編-----------------------------------------------------------

// Ａ脚底部海底ドック

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/a_kaitei_alp_ovl.bmp) \

	WORLD_NAME(plant_name/a_okujou_alp_ovl.bmp)



#elif defined( WN_W12A ) || defined( WN_W12C )

// Ａ脚屋上

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/a_kaitei_alp_ovl.bmp) \

	WORLD_NAME(plant_name/a_okujou_alp_ovl.bmp) \

	WORLD_NAME(plant_name/a_pump_alp_ovl.bmp)



#elif defined( WN_W12B )

// Ａ脚ポンプ室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/a_okujou_alp_ovl.bmp) \

	WORLD_NAME(plant_name/a_pump_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ab_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/fa_renraku_alp_ovl.bmp)



#elif defined( WN_W13A ) || defined( WN_W13B )

// ＡＢ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/a_pump_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ab_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/b_henden_alp_ovl.bmp)



#elif defined( WN_W14A )

// Ｂ脚変電室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/ab_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/b_henden_alp_ovl.bmp) \

	WORLD_NAME(plant_name/bc_renraku_alp_ovl.bmp)



#elif defined( WN_W15A ) || defined( WN_W15B )

// ＢＣ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/b_henden_alp_ovl.bmp) \

	WORLD_NAME(plant_name/bc_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/c_shokudou_alp_ovl.bmp)



#elif defined( WN_W16A ) || defined( WN_W16B )

// Ｃ脚食堂

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/bc_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/c_shokudou_alp_ovl.bmp) \

	WORLD_NAME(plant_name/cd_renraku_alp_ovl.bmp)



#elif defined( WN_W17A )

// ＣＤ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/c_shokudou_alp_ovl.bmp) \

	WORLD_NAME(plant_name/cd_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/d_chinden_alp_ovl.bmp)



#elif defined( WN_W18A )

// Ｄ脚第一沈殿池

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/cd_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/d_chinden_alp_ovl.bmp) \

	WORLD_NAME(plant_name/de_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/dg_renraku_alp_ovl.bmp)



#elif defined( WN_W19A )

// ＤＥ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/d_chinden_alp_ovl.bmp) \

	WORLD_NAME(plant_name/de_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_shuhai_1f_alp_ovl.bmp)



#elif defined( WN_W20A )

// Ｅ脚集配場

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/de_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_shuhai_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_shuhai_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_shuhai_2f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_shuhai_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_heliport_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ef_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/a_pump_alp_ovl.bmp) \

	WORLD_NAME(plant_name/b_henden_alp_ovl.bmp) \

	WORLD_NAME(plant_name/c_shokudou_alp_ovl.bmp) \

	WORLD_NAME(plant_name/f_souko_b1_alp_ovl.bmp)



#elif defined( WN_W20B ) || defined( WN_W20C ) || defined( WN_W20D )

// Ｅ脚ヘリポート

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/e_shuhai_2f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_heliport_alp_ovl.bmp)



#elif defined( WN_W21A ) || defined( WN_W21B )

// ＥＦ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/e_shuhai_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ef_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/f_souko_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_1f_alp_ovl.bmp)



#elif defined( WN_W22A )

// Ｆ脚倉庫

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/ef_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/f_souko_alp_ovl.bmp) \

	WORLD_NAME(plant_name/f_souko_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/f_souko_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/fa_renraku_alp_ovl.bmp)



#elif defined( WN_W23A ) || defined( WN_W23B )

// ＦＡ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/f_souko_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/f_souko_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/fa_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/a_pump_alp_ovl.bmp)



#elif defined( WN_W24A )

// シェル１中央棟１Ｆ

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/ef_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b2_densan_alp_ovl.bmp)



#elif defined( WN_W24B )

// シェル１中央棟Ｂ１

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/1_chuou_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b1_shukai_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b2_densan_alp_ovl.bmp)



#elif defined( WN_W24C )

// シェル１中央棟Ｂ１集会場

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/1_chuou_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b1_shukai_alp_ovl.bmp)



#elif defined( WN_W24D )

// シェル１中央棟Ｂ２電算室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/1_chuou_1f_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b1_alp_ovl.bmp) \

	WORLD_NAME(plant_name/1_chuou_b2_densan_alp_ovl.bmp)



#elif defined( WN_W25A )

// シェル１シェル２連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/d_chinden_alp_ovl.bmp) \

	WORLD_NAME(plant_name/dg_renraku_alp_ovl.bmp)



#elif defined( WN_W25B )

// シェル１シェル２連絡橋〜ＬＧ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/dg_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/lg_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/l_gaishu_alp_ovl.bmp)



#elif defined( WN_W25C ) || defined( WN_W25D )

// Ｌ脚外周〜ＫＬ連絡橋

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/lg_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/l_gaishu_alp_ovl.bmp) \

	WORLD_NAME(plant_name/kl_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/l_osui_alp_ovl.bmp) \

	WORLD_NAME(plant_name/2_chuou_1f_kuki_alp_ovl.bmp)



#elif defined( WN_W28A )

// Ｌ脚汚水処理場

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/kl_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/l_osui_alp_ovl.bmp) \

	WORLD_NAME(plant_name/l_oilfence_alp_ovl.bmp)



#elif defined( WN_W31A ) || defined( WN_W31D )

// シェル２中央棟１Ｆ空気清浄室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/kl_renraku_alp_ovl.bmp) \

	WORLD_NAME(plant_name/2_chuou_1f_kuki_alp_ovl.bmp) \

	WORLD_NAME(plant_name/2_chuou_b1_roka_01_alp_ovl.bmp)



#elif defined( WN_W31B )

// シェル２中央棟Ｂ１第一濾過室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/2_chuou_1f_kuki_alp_ovl.bmp) \

	WORLD_NAME(plant_name/2_chuou_b1_roka_01_alp_ovl.bmp) \

	WORLD_NAME(plant_name/2_chuou_b1_roka_02_alp_ovl.bmp)



#elif defined( WN_W31C )

// シェル２中央棟Ｂ１第二濾過室

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/2_chuou_b1_roka_01_alp_ovl.bmp) \

	WORLD_NAME(plant_name/2_chuou_b1_roka_02_alp_ovl.bmp)



#elif defined( WN_W32A )

// Ｌ脚下部オイルフェンス

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/l_oilfence_alp_ovl.bmp) \

	WORLD_NAME(plant_name/e_shuhai_b1_alp_ovl.bmp)



#elif defined( WN_W41A )

// アーセナルギア胃

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/ag_stmach_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ag_jejunum_alp_ovl.bmp) \

	WORLD_NAME(plant_name/aoyama_alp_ovl.bmp) \

	WORLD_NAME(plant_name/azabu_alp_ovl.bmp) \

	WORLD_NAME(plant_name/funabashi_alp_ovl.bmp) \

	WORLD_NAME(plant_name/newyork_alp_ovl.bmp)



#elif defined( WN_W42A )

// アーセナルギア空腸

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/ag_stmach_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ag_jejunum_alp_ovl.bmp) \

	WORLD_NAME(plant_name/aoyama_alp_ovl.bmp) \

	WORLD_NAME(plant_name/azabu_alp_ovl.bmp) \

	WORLD_NAME(plant_name/funabashi_alp_ovl.bmp) \

	WORLD_NAME(plant_name/newyork_alp_ovl.bmp) \

	WORLD_NAME(plant_name/ag_ascending_alp_ovl.bmp)



#elif defined( WN_W43A )

// アーセナルギア上行結腸

	#if defined( WN_ANOTHER )

	//	アナザーミッション用

	pack_all	'-s' 2D_tex.tri \

		common_tex \

		WORLD_NAME(plant_name/ag_jejunum_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_ascending_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_ileum_alp_ovl.bmp)

	#else

	//	通常用

	pack_all	'-s' 2D_tex.tri \

		common_tex \

		WORLD_NAME(plant_name/ag_ascending_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_ileum_alp_ovl.bmp)

	#endif

#elif defined( WN_W44A )

// アーセナルギア回腸

	#if defined( WN_ANOTHER )

	//	アナザーミッション用

	pack_all	'-s' 2D_tex.tri \

		common_tex \

		WORLD_NAME(plant_name/ag_ascending_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_ileum_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_sigmoid_alp_ovl.bmp)

	#else

	//	通常用

	pack_all	'-s' 2D_tex.tri \

		common_tex \

		WORLD_NAME(plant_name/ag_ileum_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_sigmoid_alp_ovl.bmp)

	#endif



#elif defined( WN_W45A )

	// アーセナルギアＳ状結腸

	#if defined( WN_ANOTHER )

	//	アナザーミッション用

	pack_all	'-s' 2D_tex.tri \

		common_tex \

		WORLD_NAME(plant_name/ag_ileum_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_sigmoid_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_rectum_alp_ovl.bmp)

	#else

	//	通常用

	pack_all	'-s' 2D_tex.tri \

		common_tex \

		WORLD_NAME(plant_name/ag_sigmoid_alp_ovl.bmp) \

		WORLD_NAME(plant_name/ag_rectum_alp_ovl.bmp)

	#endif



#elif defined( WN_W46A)

// アーセナルギア直腸

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/ag_rectum_alp_ovl.bmp)



#elif defined( WN_W61A)

// アーセナルギア直腸

pack_all	'-s' 2D_tex.tri \

	common_tex \

	WORLD_NAME(plant_name/federal_alp_ovl.bmp)



#else

// その他のステージ

pack_all	'-s' 2D_tex.tri \

	common_tex



#endif

